Rapid7 Vulnerability & Exploit Database

Alpine Linux: CVE-2019-12214: freeimage Multiple vulnerabilities

Back to Search

Alpine Linux: CVE-2019-12214: freeimage Multiple vulnerabilities

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
05/20/2019
Created
01/20/2021
Added
01/19/2021
Modified
01/19/2021

Description

In FreeImage 3.18.0, an out-of-bounds access occurs because of mishandling of the OpenJPEG j2k_read_ppm_v3 function in j2k.c. The value of l_N_ppm comes from the file read in, and the code does not consider that l_N_ppm may be greater than the size of p_header_data.

Solution(s)

  • alpine-linux-upgrade-freeimage

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;